import httpClient from '@/services/http'
import { CommonFetchOptions } from '@/services/http/types'

/**
 * 结算管理-->二级分润付款确认-->查看交易日详情-->批量确认
 */
export function batchPay(options: CommonFetchOptions<{ request: Model.BatchPayReq; }>) {
    return httpClient.commonRequest('/settlement/batchPay', 'get', options)
}

/**
 * 结算管理-->二级分润付款确认-->查看交易日详情-->详情
 */
export function settlementDetail(options: CommonFetchOptions<{ request: Model.SettlementDetailReq; response: Model.SettlementDetailRsp; }>) {
    return httpClient.commonRequest('/settlement/detail', 'get', options)
}

/**
 * 结算管理-->二级分润付款确认-->导出(交易所管理员才有此功能)
 */
export function settlementExport(options: CommonFetchOptions<{ request: Model.SettlementExportReq; }>) {
    return httpClient.commonRequest('/settlement/export', 'get', options)
}

/**
 * 结算管理-->二级分润付款确认-->获取列表(tradedate时间格式yyyymmdd,reletype = 1 areatype传null)
 */
export function sharedayquery(options: CommonFetchOptions<{ request: Model.ShareDayQueryReq; response: Model.ShareDayQueryRsp }>) {
    return httpClient.commonRequest('/settlement/sharedayquery', 'get', options)
}

/**
 * 结算管理-->二级分润付款确认-->查看交易日详情
 */
export function viewTradingDay(options: CommonFetchOptions<{ request: Model.ViewTradingDayReq; response: Model.ViewTradingDayRsp[] }>) {
    return httpClient.commonRequest('/settlement/viewTradingDay', 'get', options)
}
